RTEMS: rtems_flashdisk Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_flashdisk Struct Reference

## Data Fields
rtems_device_major_number | major
rtems_device_minor_number | minor
uint32_t | flags
uint32_t | compact_segs
uint32_t | avail_compact_segs
uint32_t | block_size
rtems_fdisk_block_ctl * | blocks
uint32_t | block_count
uint32_t | unavail_blocks
uint32_t | starvation_threshold
uint32_t | erased_blocks
rtems_fdisk_device_ctl * | devices
uint32_t | device_count
rtems_fdisk_segment_ctl_queue | available
rtems_fdisk_segment_ctl_queue | used
rtems_fdisk_segment_ctl_queue | erase
rtems_fdisk_segment_ctl_queue | failed
rtems_mutex | lock
uint8_t * | copy_buffer
uint32_t | info_level
uint32_t | starvations

## Detailed Description

The virtual block table holds the mapping for blocks as seen by the disk drivers to the device, segment and page numbers of the physical device.

## Field Documentation

## ◆ avail_compact_segs

uint32_t rtems_flashdisk::avail_compact_segs

The number of segments when compaction occurs when writing.

## ◆ available

rtems_fdisk_segment_ctl_queue rtems_flashdisk::available

The queue of segments with available pages.

## ◆ block_count

uint32_t rtems_flashdisk::block_count

The number of avail. blocks.

## ◆ block_size

uint32_t rtems_flashdisk::block_size

The block size for this disk.

## ◆ blocks

rtems_fdisk_block_ctl* rtems_flashdisk::blocks

The block to segment-page mappings.

## ◆ compact_segs

uint32_t rtems_flashdisk::compact_segs

Max segs to compact at once.

## ◆ copy_buffer

uint8_t* rtems_flashdisk::copy_buffer

Copy buf used during compacting

## ◆ device_count

uint32_t rtems_flashdisk::device_count

The number of flash devices.

## ◆ devices

rtems_fdisk_device_ctl* rtems_flashdisk::devices

The flash devices for this disk.

## ◆ erase

rtems_fdisk_segment_ctl_queue rtems_flashdisk::erase

The list of segments to be erased.

## ◆ erased_blocks

uint32_t rtems_flashdisk::erased_blocks

The number of erased blocks.

## ◆ failed

rtems_fdisk_segment_ctl_queue rtems_flashdisk::failed

The list of segments that failed when being erased.

## ◆ flags

uint32_t rtems_flashdisk::flags

configuration flags.

## ◆ info_level

uint32_t rtems_flashdisk::info_level

The info trace level.

## ◆ lock

rtems_mutex rtems_flashdisk::lock

Mutex for threading protection.

## ◆ major

rtems_device_major_number rtems_flashdisk::major

The driver's major number.

## ◆ minor

rtems_device_minor_number rtems_flashdisk::minor

The driver's minor number.

## ◆ starvation_threshold

uint32_t rtems_flashdisk::starvation_threshold

Erased blocks starvation threshold.

## ◆ starvations

uint32_t rtems_flashdisk::starvations

Erased blocks starvations counter.

## ◆ unavail_blocks

uint32_t rtems_flashdisk::unavail_blocks

The number of unavail blocks.

## ◆ used

rtems_fdisk_segment_ctl_queue rtems_flashdisk::used

The list of segments with all pages used.

The documentation for this struct was generated from the following file:

- cpukit/libblock/src/flashdisk.c